> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /airbnb/listings/availability

> Get an Airbnb listing's availability calendar by room id (or listing URL): for each day in the requested window — whether it is available, can be a check-in or check-out date, is bookable, and the minimum and maximum nights for a stay starting that day.

**Price:** 1 credit per 365 results

**⚠️ Common errors:** 412: Listing not found, unlisted or removed, or it exposes no availability calendar



## OpenAPI

````yaml /openapi/travel-hospitality.json post /api/airbnb/listings/availability
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/airbnb/listings/availability:
    post:
      tags:
        - /airbnb
      summary: /airbnb/listings/availability
      description: >-
        Get an Airbnb listing's availability calendar by room id (or listing
        URL): for each day in the requested window — whether it is available,
        can be a check-in or check-out date, is bookable, and the minimum and
        maximum nights for a stay starting that day.


        **Price:** 1 credit per 365 results


        **⚠️ Common errors:** 412: Listing not found, unlisted or removed, or it
        exposes no availability calendar
      operationId: __api_airbnb_listings_availability_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AirbnbAvailabilityPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AirbnbAvailabilityDay'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AirbnbAvailabilityPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        listing:
          type: string
          minLength: 1
        start_date:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          maximum: 366
          minimum: 1
      type: object
      required:
        - listing
        - count
    AirbnbAvailabilityDay:
      properties:
        '@type':
          type: string
          default: AirbnbAvailabilityDay
        date:
          type: string
        is_available:
          anyOf:
            - type: boolean
            - type: 'null'
        is_available_for_checkin:
          anyOf:
            - type: boolean
            - type: 'null'
        is_available_for_checkout:
          anyOf:
            - type: boolean
            - type: 'null'
        is_bookable:
          anyOf:
            - type: boolean
            - type: 'null'
        min_nights:
          anyOf:
            - type: integer
            - type: 'null'
        max_nights:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - date
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````